Skip to main content
WEBHOOK
tokenNotification
{
  "id": "b21ecb35-6c95-46d9-afb2-c130cdf1750f",
  "created_at": "2023-01-01T00:00:00Z",
  "event_type": "token.created",
  "token": {
    "id": "5d6b2c9a-9b0b-4b0c-8c7d-9e9d5d7e9d5d",
    "cardholder_name": "John Doe",
    "card_art_url": "https://api.hellgate.io/tokens/card-art/374c911a-8125-40eb-acb8-a26efd25f02b",
    "created_at": "2023-10-01T00:00:00Z",
    "expiry_month": 4,
    "expiry_year": 2033,
    "issuer_identification_number": "424242",
    "masked_account_number": "424242******4242",
    "network_token_status": "active",
    "scheme": "VISA"
  }
}

Headers

x-hmac-signature
string

The signature of request body calculated based on the secret HMAC key of the account

Body

application/json
id
string<uuid>
required

A unique ID of the event which caused the notification

created_at
string<date-time>
required

The date-time the event was occurred (following ISO 8601)

event_type
enum<string>
required
Available options:
token.created,
token.updated,
token.deleted
token
object
Example:
{
"id": "5d6b2c9a-9b0b-4b0c-8c7d-9e9d5d7e9d5d",
"cardholder_name": "John Doe",
"card_art_url": "https://api.hellgate.io/tokens/card-art/374c911a-8125-40eb-acb8-a26efd25f02b",
"created_at": "2023-10-01T00:00:00Z",
"expiry_month": 4,
"expiry_year": 2033,
"expires_at": "2023-10-07T00:00:00Z",
"issuer_identification_number": "424242",
"masked_account_number": "424242******4242",
"network_token_status": "active",
"scheme": "VISA"
}

Response

Confirmation of receipt. For other status codes, Commerce will try to redeliver.